URL:
https://svn.lrde.epita.fr/svn/xrm/trunk
ChangeLog:
2007-01-08 SIGOURE Benoit <tsuna(a)lrde.epita.fr>
Fix the uninstall script.
* install-xrm.sh.in: Remove the uninstall script during uninstall.
Remove the directories that are deeper before trying to remove their
parent directory.
install-xrm.sh.in | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
Index: install-xrm.sh.in
===================================================================
--- install-xrm.sh.in (revision 104)
+++ install-xrm.sh.in (working copy)
@@ -58,11 +58,13 @@
echo -n ">>> Generating uninstall script in $uninstall"
echo '#! /bin/sh -x' >"$uninstall" \
|| abort 'Failed to create uninstall script'
-find . -type f >>"$uninstall" || abort 'Failed to find files'
+find ./*/ -type f >>"$uninstall" || abort 'Failed to find files'
+echo "./bin/uninstall-xrm.sh" >>"$uninstall" \
+ || abort 'Failed to complete files'
cp "$uninstall" "$uninstall.tmp" || abort 'Failed to cp uninstall
script'
sed "s,^\.,rm -f $prefix," "$uninstall.tmp"
>"$uninstall" \
|| abort 'Failed to generate uninstall script for files'
-find . -type d >>"$uninstall" || abort 'Failed to find
directories'
+find . -type d | sort -r >>"$uninstall" || abort 'Failed to find
directories'
cp "$uninstall" "$uninstall.tmp" || abort 'Failed to cp uninstall
script'
sed "s,^\.,rmdir $prefix," "$uninstall.tmp"
>"$uninstall" \
|| abort 'Failed to generate uninstall script for directories'
--
SIGOURE Benoit aka Tsuna (SUSv3 compliant)
_____ "On a long enough timeline, the survival rate
/EPITA\ Promo 2008.CSI/ACU for everyone drops to zero" -- Jack.